package com.ruoyi.zongzhi.mapper;

import com.ruoyi.zongzhi.domain.TcDataSourceTj;

import java.util.List;

/**
 * 数据来源统计Mapper接口
 *
 * @author ruoyi
 * @date 2023-09-13
 */
public interface TcDataSourceTjMapper {
    /**
     * 查询数据来源统计
     *
     * @param id 数据来源统计主键
     * @return 数据来源统计
     */
    public TcDataSourceTj selectTcDataSourceTjById(Long id);

    /**
     * 查询数据来源统计列表
     *
     * @param tcDataSourceTj 数据来源统计
     * @return 数据来源统计集合
     */
    public List<TcDataSourceTj> selectTcDataSourceTjList(TcDataSourceTj tcDataSourceTj);

    /**
     * 新增数据来源统计
     *
     * @param tcDataSourceTj 数据来源统计
     * @return 结果
     */
    public int insertTcDataSourceTj(TcDataSourceTj tcDataSourceTj);

    /**
     * 修改数据来源统计
     *
     * @param tcDataSourceTj 数据来源统计
     * @return 结果
     */
    public int updateTcDataSourceTj(TcDataSourceTj tcDataSourceTj);

    /**
     * 删除数据来源统计
     *
     * @param id 数据来源统计主键
     * @return 结果
     */
    public int deleteTcDataSourceTjById(Long id);

    /**
     * 批量删除数据来源统计
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTcDataSourceTjByIds(Long[] ids);
}
